Subject: Re: FVWM: fvwm 2.0.44 question

From: "Mike Campbell" <[email-masked]>
Date: 20 Jan 97 07:03:22 -0800

I think that the problem is definately in a problem with B&W monitors. 
 
It seems that I have tracked down the problem a little. If I compile FVWM 
without the EXTENDED_TITLESTYLE option then greyscales work properly. Sounds 
like a bug here but I can't say for sure. 
 
Anyone care to give me some suggestions?? 
 
Thanks, 
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
Mike Campbell 
Oracle Technical Support Analyst	Phone: 407-888-3786 
5955 T.G. Lee Blvd., Suite 400		Fax:   407-851-9093 
Orlando, FL 32822			Email: [email-masked] 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Subject: Re: FVWM: fvwm 2.0.44 question
From: "lar3ry gensch <[email-masked]>" <[email-masked]>
To: Mike,Campbell,<[email-masked]>
Cc: [email-masked]
Date: 20 Jan 97 06:15:42

Mike Campbell wrote:
> 
> I have just downloaded and compiled FVWM version 2.0.44 and have a quick
> question about the .fvwm2rc configuration file.
> 
> It seems that after a normal compile the window title bars no longer get the
> background color set properly. In version 2.0.43 I was able to successfully
> use the HilightColor option to set the background to grey and the foreground
> to black. Note that since I am using a black and white NCD x-terminal I don't
> have the option of using colors.
> 
> After installing 2.0.44 I don't seem to be able to get any background title
> bar colors except white. I assume that this may have something to do with the
> new titlestyle and userdecor options but am not sure.
> 
> Does anyone have a suggestion/work-around to get the active window's title bar
> to stand out so that I can see which one is active or is there a bug in the
> HiLightColor option now that does not allow for greyscale colors???
> 
> Please reply directly to me as I am not on the mailing list.
> 
> Thanks,

AddToDecor	Default
+	TitleStyle	LeftJustified ActiveUp (Solid Navy -- flat) \
			ActiveDown (Solid Navy -- flat) \
			Inactive (Solid grey51 -- flat)
+	HilightColor	white grey60

Style "*"	UseDecor Default, ForeColor Black

This will give your ACTIVE windows a navy blue background and a white
foreground.  Your inactive windows will have a grey51 background and a
black background.

I agree that figuring out which properties affected what was not
intuitive, and took a LOT of figuring out.  My process was to use tkman
to display the fvwm2 man page, search for the word 'color' and tinker
with each thing until things started to look right.

Maybe for the release, the "titlestyle" could specify foreground AND
background colors.  Of course, that could adversely affect the
UseTitleStyle option in the ButtonStyle commands (but that's left for
the maintainers).

In a pinch:

- TitleStyle sets the background colors.
- HilightColor sets the foreground color for active windows
- ForeColor Style option sets the foreground color for inactive windows.

Confused?  So was I.  [smile]

-- 
(void) lar3ry();                                      [email-masked]

     "Sometimes it happens.  People just explode.  Natural causes."
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].